## kconfigwidgets 5.116.0+p24.04+vstable+git20250901.0338

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20250901.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 03:39:01 +0000

kconfigwidgets (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:37:28 +1000

kconfigwidgets (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:21:09 +0000

kconfigwidgets (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:57:20 +0000

kconfigwidgets (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:38:43 +0000

kconfigwidgets (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 14:13:49 +0000

kconfigwidgets (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:20:08 +0000

kconfigwidgets (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 20:21:42 +0000

kconfigwidgets (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:04:37 +0000

kconfigwidgets (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:33:01 +0000

kconfigwidgets (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:50:31 +0000

kconfigwidgets (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:45:21 +0000

kconfigwidgets (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:19:17 +0000

kconfigwidgets (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:25:19 +0000

kconfigwidgets (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:47:59 +0000

kconfigwidgets (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:50:41 +0000

kconfigwidgets (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:57:36 +0000

kconfigwidgets (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:13:24 +0000

kconfigwidgets (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:22:26 +0000

kconfigwidgets (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:53:24 +0000

kconfigwidgets (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:24:21 +0000

kconfigwidgets (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 10:49:01 +0000

kconfigwidgets (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:20:53 +0000

kconfigwidgets (5.91.0.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:08:09 +0000

kconfigwidgets (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:24 +0000

kconfigwidgets (5.88.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 07:03:06 +0000

kconfigwidgets (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:01 +0000

kconfigwidgets (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:17:56 +0000

kconfigwidgets (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:24:37 +0000

kconfigwidgets (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:14:51 +0000

kconfigwidgets (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:09:01 +0000

kconfigwidgets (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:11:35 +0000

kconfigwidgets (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:06 +0000

kconfigwidgets (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:10:52 +0000

kconfigwidgets (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:02:47 +0000

kconfigwidgets (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:28 +0000

kconfigwidgets (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:40:06 +0000

kconfigwidgets (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:22:49 +0000

kconfigwidgets (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:13:52 +0000

kconfigwidgets (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:21:26 +0000

kconfigwidgets (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:48:30 +0000

kconfigwidgets (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:39:38 +0000

kconfigwidgets (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:17:46 +0000

kconfigwidgets (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:19:37 +0000

kconfigwidgets (5.67.0-0neon) bionic; urgency=medium

  * New release



## kconfigwidgets 5.116.0+p24.04+vstable+git20250916.0205

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20250916.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 02:06:07 +0000

## kconfigwidgets 5.116.0+p24.04+vstable+git20251015.0856

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20251015.0856-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:56:37 +0000

## kconfigwidgets 5.116.0+p24.04+vstable+git20251020.0559

=== src/CMakeLists.txt ===
add_library(KF5ConfigWidgets)
add_library(KF5::ConfigWidgets ALIAS KF5ConfigWidgets)

target_sources(KF5ConfigWidgets PRIVATE
  kcodecaction.cpp
  kcolorscheme.cpp
  kcolorschememanager.cpp
  kcolorschememenu.cpp
  kcolorschememodel.cpp
  kcommandbar.cpp
  kcommandbarmodel_p.cpp
  kconfigdialog.cpp
  kconfigviewstatesaver.cpp
  kconfigdialogmanager.cpp
  kcmodule.cpp
  khelpclient.cpp
  khamburgermenu.cpp
  khamburgermenuhelpers.cpp
  klanguagebutton.cpp
  klanguagename.cpp
  krecentfilesaction.cpp
  kstandardaction.cpp
  kstatefulbrush.cpp
  ktipdialog.cpp

  kcodecaction.h
  kcolorscheme.h
  kcolorschememanager.h
  kcolorschememenu.cpp
  kcommandbar.h
  kcommandbarmodel_p.h
  kconfigdialog.h
  kconfigviewstatesaver.h
  kconfigdialogmanager.h
  kcmodule.h
  khelpclient.h
  khamburgermenu.h
  khamburgermenuhelpers_p.h
  klanguagebutton.h
  klanguagename.h
  krecentfilesaction.h
  kstandardaction.h
  kstatefulbrush.h
  ktipdialog.h

  kconfigwidgets.qrc
)

ecm_qt_declare_logging_category(KF5ConfigWidgets
    HEADER kconfigwidgets_debug.h
    IDENTIFIER KCONFIG_WIDGETS_LOG
    CATEGORY_NAME kf.configwidgets
    OLD_CATEGORY_NAMES kf5.kconfigwidgets
    DESCRIPTION "KConfigWidgets"
    EXPORT KCONFIGWIDGETS
)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_sources(KF5ConfigWidgets PRIVATE kpastetextaction.cpp)
endif()

if (WITH_KAUTH)
    set(WITH_KAUTH_DEFINE_VALUE 1)
else()
    set(WITH_KAUTH_DEFINE_VALUE 0)
endif()
set(define_with_kauth_code "#define KCONFIGWIDGETS_WITH_KAUTH ${WITH_KAUTH_DEFINE_VALUE}\n")

ecm_generate_export_header(KF5ConfigWidgets
    BASE_NAME KConfigWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 5.0 5.23 5.32 5.38 5.39 5.64 5.78 5.80 5.82 5.83 5.84 5.85 5.90 5.93 5.102 5.103 5.106 5.107
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    CUSTOM_CONTENT_FROM_VARIABLE define_with_kauth_code
)

target_include_directories(KF5ConfigWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets>")

target_link_libraries(KF5ConfigWidgets
  PUBLIC
    KF5::WidgetsAddons # For K*Action, KPage*, KViewStateSerializer, KAcceleratorManager, K*GuiItem
    KF5::ConfigGui # KStandardAction uses KStandardShortcut
    KF5::CoreAddons # KCModule uses KAboutData and KPluginMetaData
  PRIVATE
    KF5::GuiAddons # KColorScheme uses KColorUtils
    KF5::I18n # For action and widget texts
)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.102.0)
    target_link_libraries(KF5ConfigWidgets
      PUBLIC
      KF5::Codecs # KCodecActions uses KCharsets, KEncodingProber
    )
else()
    target_link_libraries(KF5ConfigWidgets
      PRIVATE
      KF5::Codecs # KCodecActions uses KCharsets, KEncodingProber
    )
endif()

if (WITH_KAUTH)
  if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(KF5ConfigWidgets PUBLIC KF5::AuthCore)
  else()
    target_link_libraries(KF5ConfigWidgets PUBLIC KF5::Auth)
  endif()
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  target_link_libraries(KF5ConfigWidgets PRIVATE Qt${QT_MAJOR_VERSION}::DBus) # KPasteTextAction talks to Klipper via DBus
endif()

if (TARGET Qt6::Core5Compat)
    target_link_libraries(KF5ConfigWidgets PUBLIC Qt6::Core5Compat)
endif()

set_target_properties(KF5ConfigWidgets PROPERTIES VERSION   ${KCONFIGWIDGETS_VERSION}
                                                  SOVERSION ${KCONFIGWIDGETS_SOVERSION}
                                                  EXPORT_NAME ConfigWidgets
)

ecm_generate_headers(KConfigWidgets_HEADERS
  HEADER_NAMES
  KCodecAction
  KColorScheme
  KColorSchemeManager
  KColorSchemeMenu
  KColorSchemeModel
  KCommandBar
  KConfigDialog
  KConfigViewStateSaver
  KConfigDialogManager
  KCModule
  KHamburgerMenu
  KHelpClient
  KLanguageButton
  KLanguageName
  KPasteTextAction
  KRecentFilesAction
  KStatefulBrush
  KViewStateMaintainer
  KStandardAction
  KTipDialog

  REQUIRED_HEADERS KConfigWidgets_HEADERS
)

install(TARGETS KF5ConfigWidgets EXPORT KF5ConfigWidgetsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_export.h
  ${KConfigWidgets_HEADERS}
  ktip.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets COMPONENT Devel
)

install(PROGRAMS preparetips5 DESTINATION ${KDE_INSTALL_BINDIR} )
install( FILES entry.desktop  DESTINATION  ${KDE_INSTALL_LOCALEDIR}/en_US RENAME kf5_entry.desktop )

file(GLOB lang_dirs "language_files/*")
foreach(lang_dir ${lang_dirs})
    get_filename_component(lang ${lang_dir} NAME)
    install( FILES language_files/${lang}/kf5_entry.desktop DESTINATION ${KDE_INSTALL_LOCALEDIR}/${lang} )
endforeach()

ecm_qt_install_logging_categories(
    EXPORT KCONFIGWIDGETS
    FILE kconfigwidgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF5ConfigWidgets_QCH
        NAME KConfigWidgets
        BASE_NAME KF5ConfigWidgets
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KConfigWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF5Codecs_QCH
            KF5WidgetsAddons_QCH
            KF5Config_QCH
            KF5Auth_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCONFIGWIDGETS_EXPORT
            KCONFIGWIDGETS_DEPRECATED
            KCONFIGWIDGETS_DEPRECATED_EXPORT
            "KCONFIGWIDGETS_DEPRECATED_VERSION(x, y, t)"
            "KCONFIGWIDGETS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KCONFIGWIDGETS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KCONFIGWIDGETS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        PREDEFINED_MACROS
            "KCONFIGWIDGETS_ENABLE_DEPRECATED_SINCE(x, y)=1"
            "KCONFIGWIDGETS_BUILD_DEPRECATED_SINCE(x, y)=1"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KConfigWidgets LIB_NAME KF5ConfigWidgets DEPS "KCodecs KWidgetsAddons KConfigGui KAuth" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20251020.0559-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:00:00 +0000

## kconfigwidgets 5.116.0+p24.04+vstable+git20251028.0955

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20251028.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:55:36 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kconfigwidgets-([\d.]+)\.tar\.xz

## kconfigwidgets 5.116.0+p24.04+vstable+git20251220.0150

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20251220.0150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:50:20 +0000

## kconfigwidgets 5.116.0+p24.04+vstable+git20251224.0633

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vstable+git20251224.0633-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:33:49 +0000

## kconfigwidgets 5.116.0+p24.04+vunstable+git20251015.1019

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts
project(KConfigWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.116.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakeDependentOption)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

set(_qt6_core5_compat FALSE)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat CONFIG REQUIRED) # QTextCodec
    set(_qt6_core5_compat ${Qt6Core5Compat_FOUND})
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIGWIDGETS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfigVersion.cmake"
                        SOVERSION 5)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

if (NOT ANDROID AND NOT WIN32)
    option(WITH_KAUTH "Build with KAuth support" ON)
else()
    set(WITH_KAUTH OFF)
endif()

set(HAVE_KAUTH FALSE)
if (WITH_KAUTH)
  find_package(KF5Auth ${KF_DEP_VERSION} REQUIRED)
  set(HAVE_KAUTH TRUE)
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97.0
    KWIDGETSADDONS 5.77.0  # We need KSelectAction::triggered(QString)
)

add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets5\")
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ConfigWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ConfigWidgets_QCH
        FILE KF5ConfigWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigWidgetsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ConfigWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ConfigWidgetsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vunstable+git20251015.1019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:20:04 +0000

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.52.0~),
               graphviz,
               libkf5auth-dev (>= 5.52.0~),
               libkf5codecs-dev (>= 5.52.0~),
               libkf5config-dev (>= 5.52.0~),
               libkf5coreaddons-dev (>= 5.52.0~),
               libkf5doctools-dev (>= 5.52.0~),
               libkf5guiaddons-dev (>= 5.52.0~),
               libkf5i18n-dev (>= 5.52.0~),
               libkf5widgetsaddons-dev (>= 5.52.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Git: https://invent.kde.org/neon/kde/kconfigwidgets.git
Vcs-Browser: https://invent.kde.org/neon/kde/kconfigwidgets
Maintainer: Neon CI <neon@kde.org>

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.52.0~),
         libkf5codecs-dev (>= 5.52.0~),
         libkf5config-dev (>= 5.52.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.52.0~),
         libkf5i18n-dev (>= 5.52.0~),
         libkf5widgetsaddons-dev (>= 5.52.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5configwidgets-doc (= ${source:Version})
Breaks: libkf5bookmarks-dev (<< 5.51),
        libkf5iconthemes-dev (<< 5.51),
        libkf5kcmutils-dev (<< 5.51),
        libkf5kdelibs4support-dev (<< 5.51),
        libkf5style-dev (<< 5.51),
        libkf5textwidgets-dev (<< 5.51),
        libkf5xmlgui-dev (<< 5.51)
Replaces: libkf5configwidgets-doc (<< 5.61.0-1)
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.51),
        kio (<< 5.51),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5iconthemes5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5style5 (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.51),
        plasma-framework (<< 5.42),
        qml-module-org-kde-qqc2desktopstyle (<< 5.51)

## kconfigwidgets 5.116.0+p24.04+vunstable+git20251020.0241

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vunstable+git20251020.0241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:42:00 +0000

## kconfigwidgets 5.116.0+p24.04+vunstable+git20251123.1051

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vunstable+git20251123.1051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:52:07 +0000

## kconfigwidgets 5.116.0+p24.04+vunstable+git20251204.0140

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vunstable+git20251204.0140-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:40:18 +0000

## kconfigwidgets 5.116.0+p24.04+vunstable+git20251220.0211

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vunstable+git20251220.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:11:29 +0000

## kconfigwidgets 5.116.0+p24.04+vunstable+git20251224.0809

=== debian/changelog ===
kconfigwidgets (5.116.0+p24.04+vunstable+git20251224.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 08:09:51 +0000
